# IP Tagger

IP Tagger is a test [channel for Roku devices](https://sdkdocs.roku.com/display/sdkdoc/SceneGraph+Samples).
It uses SceneGraph and the BrightScript language.

# Getting the project

You can get a copy of this project by clicking on the
[ZIP](http://git.dlma.com/roku_ip_tagger.git/zipball/master)
or [TAR](http://git.dlma.com/roku_ip_tagger.git/tarball/master) buttons
near the top right of the GitList web page.

If you're me, and you want to contribute to the repo, then you can clone it like so:

    git clone ssh://USERNAME@dlma.com/~/git/roku_ip_tagger.git

# Building it

In the components directory, move the file "[settings.xml.sample](http://git.dlma.com/roku_ip_tagger.git/blob/master/components/settings.xml.sample)" to "settings.xml" and update its `url` and `auth` fields.

[Ensure you can sideload a dev channel](https://sdkdocs.roku.com/display/sdkdoc/Loading+and+Running+Your+Application).
Then see the "build\_systems" command in ip\_tagger.sublime-project to see how the channel is zipped and deployed.

# Corresponding Server Code

Here's [the corresponding server code](http://git.dlma.com/kvs.git/).

# Is it any good?

[Yes](https://news.ycombinator.com/item?id=3067434).

# Licence

This software uses the [MIT license](http://git.dlma.com/roku_ip_tagger.git/blob/master/LICENSE.txt).
